from fastapi import APIRouter

from app.api.api_v1.endpoints import  login, users, utils, videos, images, reputations, ser_no
from app.api.api_v1.endpoints import ytviewspayment, payment
from app.api.api_v1.endpoints import ecpay
from app.api.api_v1.endpoints import heartbeat

api_router = APIRouter()
api_router.include_router(login.router, tags=["login"])
api_router.include_router(users.router, prefix="/users", tags=["users"])
api_router.include_router(utils.router, prefix="/utils", tags=["utils"])
api_router.include_router(videos.router, prefix="/videos", tags=["videos"])
api_router.include_router(images.router, prefix="/images", tags=["images"])
api_router.include_router(reputations.router, prefix="/reputations", tags=["reputations"])
api_router.include_router(ser_no.router, prefix="/ser_nos", tags=["serial numbers"])
api_router.include_router(ytviewspayment.router, prefix="/payment", tags=["yt views payment"])
api_router.include_router(payment.router, prefix="/payment", tags=["payment"])
api_router.include_router(ecpay.router, prefix="/ecpay", tags=["ecpay"])
api_router.include_router(heartbeat.router, prefix="/heartbeat", tags=["heartbeat"])